API Reference
Auto-generated
Page Inspect
API reference for page inspect endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/page-inspect
POST
/api/v1/page-inspectInspect a page: screenshot plus element map
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | Url |
| wait_for | string | Optional | wait_for |
| max_elements | integer | Optional | Maximum number of elements in the map (1-500)Default: 200 |
| timeout | integer | Optional | Request timeout in secondsDefault: 90 |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/page-inspect \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"max_elements": 200,
"timeout": 90
}'Response Example
JSON
{
"url": "example",
"status_code": 0,
"screenshot_url": "example",
"viewport": "example",
"page": "example",
"total_elements": 0
}